bochs - IA-32 PC emulator

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: bochs
Package version: 2.6
Package release: 5
Package architecture: amd64
Package type: deb
Installed size: 3.99 KB
Download size: 1.01 MB
Official Mirror:
Description: unavailable.



    Binary package: bochs_2.6-5_amd64.deb
    Source package: bochs

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install bochs deb package:
      # sudo apt-get install bochs


    2015-10-19 - Santiago Vila <> bochs (2.6-5) unstable; urgency=medium * QA upload. * Apply patch from Chris Lamb to build under recent versions of Linux. Closes: #802188.

    2015-09-05 - Santiago Vila <> bochs (2.6-4) unstable; urgency=medium * QA upload. * Set the "BIOS build date" to be the latest upstream release date.

    2015-09-04 - Santiago Vila <> bochs (2.6-3) unstable; urgency=medium * QA upload. * debian/rules: Add -n option to gzip call. * debian/control: Change section to otherosfs, following override file. * Add debian/patches/do-not-show-the-build-date.patch to make the build reproducible.

    2014-05-30 - Olly Betts <> bochs (2.6-2) unstable; urgency=low * QA upload. * Drop support for libsvga1, as it's no longer packaged. (Closes: #731021) * Update to use wxWidgets 3.0.

    2013-02-04 - Guillem Jover <> bochs (2.6-1) experimental; urgency=low * QA upload. * New upstream release. - Fixes random wxWidgets GUI freezes. - Refresh patches. - debian/patches/bios-discard-eh_frame.patch: Remove, merged upstream. - debian/patches/build-fix-SHELL.patch: Likewise. - debian/patches/build-fix-libtool-calls.patch: Likewise. - debian/patches/build-link-only-needed-libs.patch: Likewise. - debian/patches/build-on-linux-3.x.patch: Likewise. - debian/patches/build-recursive-make.patch: Likewise. * Now using Standards-Version 3.9.4 (no changes needed). * Honour standard build flags, so that hardening gets properly enabled. Based on a patch by Simon Ruderich <>. (Closes: #653511)

    2012-02-07 - Guillem Jover <> bochs (2.5.1-1) experimental; urgency=low !! This release gets random app freezes when using the wxWidgets GUI. !! * Orphan package, set maintainer to Debian QA Group. * New upstream release. - Refresh patches. * Do not use obsolete --enable-acpi and --enable-vbe options. * Use --enable-ne2000 and --enable-pnic on all systems, as now a dummy backend is used automatically as a system fallback. * Do not manually specify a backend to --enable-sb16, configure selects the correct one automatically. * Add following configure options: --enable-avx, --enable-vmx=2, --enable-es1370 and --enable-clgd54xx. * Switch from gdb-stub to the internal GUI debugger, as the former is unmaintained upstream. It might need disabling prior to an upload to unstable though, as the debugging screen appearing on start is a bit annoying, if one does not want to debug anything. Or alternatively making the debugging screen not appear on start. (Closes: #499567) * Bump bochs versioned Depends on vgabios to >= 0.7a-1. * Fix man page warnings due to unescaped ' at the beginning of line, and table lines using more than 80 characters.

    2012-02-07 - Guillem Jover <> bochs (2.4.6-5) unstable; urgency=low * Fix typo (targeted) in README.Debian, spotted by lintian. * Remove sb16ctrl.exe from upstream tarball in debian/ * Add missing backslash to escape $ on XPM_LIB variable: - debian/patches/link-only-needed-libs.patch * Enable support for RFB protocol as GUI frontend (works with VNC viewer). * Use dpkg-buildflags to set build flags (enables default hardening flags). Based on a patch by Moritz Muehlenhoff <>. (Closes: #653511) * Fix man page warnings due to unescaped ' at the beginning of line. * Reorganize patches: - Remove sequence numbers from non-imported patch filenames. - Rename non-imported patches to more descriptive names. - Split 00_base.patch into a local-config.patch and local-paths.patch. * Switch sb16ctrl-bochs to any-i386 instead of explicit arch list. * Clarify output on what's being done by debian/ * Build bochs-svga on all architectures where svgalib is now available; implies switching from i386 and amd64 to linux-any and kfreebsd-any.